import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { CategoryItemHighlightType } from "./CategoryItemHighlightType";
import { MarkerType } from "./MarkerType";
import { Brush } from "igniteui-react-core";
import { DataTemplate } from "igniteui-react-core";
import { CategoryItemHighlightLayerFrame } from "./CategoryItemHighlightLayerFrame";
import { Type, Point } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { ItemHighlightFrameRect } from "./ItemHighlightFrameRect";
import { List$1 } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { ContentControl } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class CategoryItemHighlightLayer extends AnnotationLayer {
    static $t: Type;
    protected bi(): Series;
    protected get_ep(): boolean;
    constructor();
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    protected zo: CategoryItemHighlightLayerView;
    zs: Series;
    z6: string;
    zw: boolean;
    zp: CategoryItemHighlightType;
    zr: MarkerType;
    aaq: Brush;
    aar: Brush;
    aaf: DataTemplate;
    zy: number;
    zv: boolean;
    protected yg(a: Series, b: boolean): void;
    protected w9(a: Series): boolean;
    protected yi(a: Frame, b: SeriesView): void;
    private zu;
    private zt;
    protected q4(a: any, b: string, c: any, d: any): void;
    private zx;
    private aac;
    aaa(a: Point, b: CategoryItemHighlightLayerFrame, c: Series): void;
    private zq;
    aab(a: Rect, b: CategoryItemHighlightLayerFrame, c: Series): void;
    protected yl(a: Frame, b: SeriesView): void;
    aad(a: ItemHighlightFrameRect, b: ContentControl): void;
    aae(a: ItemHighlightFrameRect, b: Rectangle): void;
    protected f8(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryItemHighlightLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryItemHighlightLayer);
    protected b7: CategoryItemHighlightLayer;
    b9: Pool$1<Rectangle>;
    b8: Pool$1<ContentControl>;
    au(): void;
    protected ca: List$1<ContentControl>;
    protected cb: List$1<Rectangle>;
    private cn;
    private ch;
    private cj;
    private ci;
    private ck;
    private cc;
    private ce;
    private cd;
    cl(a: Brush): Brush;
    cm(a: Brush): Brush;
    cg(a: Rectangle, b: number, c: number, d: number, e: number): void;
    cf(a: ContentControl, b: number, c: number): void;
    protected bj(a: any, b: number): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
